VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::inventory::NetworkStub Class Reference

Remote stub implementation of the Network API service. More...

Inherits vmware::vcenter::inventory::Network.

List of all members.

## Public Member Functions
| NetworkStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.NetworkTypes.Info > | Find (global::System.Collections.Generic.List< string > networks)
| Returns network information for the specified vCenter Server networks.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.NetworkTypes.Info > | Find (global::System.Collections.Generic.List< string > networks, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns network information for the specified vCenter Server networks.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.NetworkTypes.Info > > | FindAsync (global::System.Collections.Generic.List< string > networks)
| Returns network information for the specified vCenter Server networks.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.Dictionary < string, vmware.vcenter.inventory.NetworkTypes.Info > > | FindAsync (global::System.Collections.Generic.List< string > networks, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns network information for the specified vCenter Server networks.

## Detailed Description

Remote stub implementation of the Network API service.

## Constructor & Destructor Documentation

vmware::vcenter::inventory::NetworkStub::NetworkStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.NetworkTypes.Info> vmware::vcenter::inventory::NetworkStub::Find | ( | global::System.Collections.Generic.List< string > | networks | ) | `[inline]`

Returns network information for the specified vCenter Server networks.

The key in the result map is the network identifier and the value in the map is the network information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the vCenter Server network identifiers in networks
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Network` referenced by the parameter networks requires `System.Read` .

Parameters:

  networks | Identifiers of the vCenter Server networks for which information will be returned. The parameter must contain identifiers for the resource type: `Network` .

Returns:
  Network information for the specified vCenter Server networks. The key in the result map is the network identifier and the value in the map is the network information. The key in the result map will be an identifier for the resource type: `Network` .

Implements vmware::vcenter::inventory::Network.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.NetworkTypes.Info> vmware::vcenter::inventory::NetworkStub::Find | ( | global::System.Collections.Generic.List< string > | networks,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns network information for the specified vCenter Server networks.

The key in the result map is the network identifier and the value in the map is the network information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the vCenter Server network identifiers in networks
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Network` referenced by the parameter networks requires `System.Read` .

Parameters:

  networks | Identifiers of the vCenter Server networks for which information will be returned. The parameter must contain identifiers for the resource type: `Network` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Network information for the specified vCenter Server networks. The key in the result map is the network identifier and the value in the map is the network information. The key in the result map will be an identifier for the resource type: `Network` .

Implements vmware::vcenter::inventory::Network.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.NetworkTypes.Info> > vmware::vcenter::inventory::NetworkStub::FindAsync | ( | global::System.Collections.Generic.List< string > | networks | ) | `[inline]`

Returns network information for the specified vCenter Server networks.

The key in the result map is the network identifier and the value in the map is the network information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the vCenter Server network identifiers in networks
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Network` referenced by the parameter networks requires `System.Read` .

Parameters:

  networks | Identifiers of the vCenter Server networks for which information will be returned. The parameter must contain identifiers for the resource type: `Network` .

Returns:
  Network information for the specified vCenter Server networks. The key in the result map is the network identifier and the value in the map is the network information. The key in the result map will be an identifier for the resource type: `Network` .

Implements vmware::vcenter::inventory::Network.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.Dictionary<string, vmware.vcenter.inventory.NetworkTypes.Info> > vmware::vcenter::inventory::NetworkStub::FindAsync | ( | global::System.Collections.Generic.List< string > | networks,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns network information for the specified vCenter Server networks.

The key in the result map is the network identifier and the value in the map is the network information.

Exceptions:

  vmware.vapi.std.errors.NotFound | if no datastore can be found for one or more of the vCenter Server network identifiers in networks
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` . The resource `Network` referenced by the parameter networks requires `System.Read` .

Parameters:

  networks | Identifiers of the vCenter Server networks for which information will be returned. The parameter must contain identifiers for the resource type: `Network` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Network information for the specified vCenter Server networks. The key in the result map is the network identifier and the value in the map is the network information. The key in the result map will be an identifier for the resource type: `Network` .

Implements vmware::vcenter::inventory::Network.

The documentation for this class was generated from the following file:

- inventory/NetworkStub.cs